\ProvidesClass{obiphone}

\newif\if@secnum\@secnumfalse
\DeclareOption{secnum}{\@secnumtrue}
\ProcessOptions

\LoadClass[12pt,chapter]{oblivoir}

\RequirePackage{fapapersize}
\usefapapersize{9cm,13cm,0.5cm,*,0.5cm,*}
\linespread{1.2}

\newcommand*\dialog{%
 \hangpara{1em}{0}%
 \null\hskip1em
}

\RequirePackage[dvipsnames,svgnames]{xcolor}
\RequirePackage{graphicx}

%\usepackage{ob-chapstyles}
\makechapterstyle{oblyhne}{%  needs graphicx package
  \chapterstyle{default}
  \setlength{\beforechapskip}{0cm}
  \setlength{\afterchapskip}{1cm}
  \setlength{\midchapskip}{2cm}
  \renewcommand*{\chapnamefont}{\normalfont\normalsize\scshape\raggedleft}
  \renewcommand*{\chaptitlefont}{\normalfont\normalsize\bfseries\sffamily\raggedleft}
  \renewcommand*{\prechapternum}{\chapnamefont Chapter}
  \renewcommand*{\postchapternum}{}
  \renewcommand*{\chapternamenum}{}
  \renewcommand*{\printchapternum}{\makebox[0pt][l]{\hspace{0.2em}%
    \resizebox{!}{2ex}{\chapnamefont\bfseries\sffamily\thechapter}}}
  \renewcommand*{\afterchapternum}{\par\hspace{1.5cm}\hrule\vspace{0.2cm}}
 \renewcommand*{\printchapternonum}{\vphantom{\chapnamefont 1}\afterchapternum}
  \renewcommand*{\afterchaptertitle}{\vskip 0.2cm
    \hrule\vskip\afterchapskip}}

\defaultfontfeatures{Mapping=tex-text}
\setmainfont[Mapping=tex-text]{Palatino}
\setkormainfont(08SeoulNamsan EB){08SeoulNamsan M}
\setkorsansfont{Malgun Gothic}
\hangulmarks

\counterwithout{section}{chapter}
\if@secnum\else
\maxsecnumdepth{chapter}
\fi
\copypagestyle{chapter}{empty}
\pagestyle{empty}

\setsecheadstyle{\sffamily\normalsize\bfseries}
\parindent=1em

\chapterstyle{oblyhne}

\newcommand\CenteredGraphics[2][\empty]{%
  \begin{center}
  \ifx#1\empty
    \includegraphics[height=.4\textheight]{#2}
  \else
    \includegraphics[#1]{#2}
  \fi
  \end{center}
}

\widowpenalty=25\clubpenalty=20

\endinput
